Delete Data Refinery

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
DELETE /dataflows/{dataflowId}/recordsets/{recordSetId}/datarefinery/{refineryId}

Delete Data Refinery.

Path parameters

  • dataflowId string Required

    ID of the Dataflow

  • recordSetId string Required

    ID of the RecordSet

  • refineryId string Required

    id of the Data Refinery

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id string

      the deleted Data Refinery Id

DELETE /dataflows/{dataflowId}/recordsets/{recordSetId}/datarefinery/{refineryId}
curl \
 --request DELETE 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/datarefinery/{refineryId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_id": "5743cbbccd7b08254a5a6ec0"
}